Look up API request log details
curl --request POST \
--url https://api.pubrio.com/api_keys/logs/lookup \
--header 'Content-Type: application/json' \
--header 'pubrio-api-key: <api-key>' \
--data '
{
"query_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": 123
}
'import requests
url = "https://api.pubrio.com/api_keys/logs/lookup"
payload = {
"query_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": 123
}
headers = {
"pubrio-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'pubrio-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query_log_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', profile_id: 123})
};
fetch('https://api.pubrio.com/api_keys/logs/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"query_log_id": "fc1ce3dd-39f7-4fbd-9d22-569a17115c11"
},
"data": {
"query_log_id": "fc1ce3dd-39f7-4fbd-9d22-569a17115c11",
"request_body": "{\"start_date\":\"2026-05-01\",\"end_date\":\"2026-05-14\"}",
"request_headers": "{\"host\":\"api.pubrio.com\",\"user-agent\":\"curl/8.7.1\",\"accept\":\"*/*\",\"pubrio-api-key\":\"***\",\"content-type\":\"application/json\",\"content-length\":\"51\"}",
"response_body": "{\"metadata\":{\"filters\":{\"start_date\":\"2026-05-01\",\"end_date\":\"2026-05-14\"}},\"data\":{\"series\":[...],\"by_log_type\":[...],\"totals\":{\"credits\":41892,\"requests\":4896}}}",
"response_size": 2346
}
}{
"code": 40001,
"message": "Errors and codes will vary depending on the scenario, please see the documentation for information.",
"details": {}
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}API Keys
Look up API Request Log
Retrieve the full request body, request headers, response body, and response size for a specific API request log entry. Use this to inspect what was sent or returned for a given query_log_id discovered via the list endpoint.
POST
/
api_keys
/
logs
/
lookup
Look up API request log details
Authorizations
Body
application/json
Unique identifier of the log entry to look up. Obtain this from /api_keys/logs.
Optional. An identifier for the user profile (workspace) making the request. This is no longer required as the API key already includes your workspace information. If provided, it helps in associating the lookup with a specific user, allowing for data retrieval and credit tracking.
Check out user details endpoints under the Profile tab for more information.
⌘I

